* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: "Noto Sans", sans-serif;
    background-color: #fff;
    color: darkslategray;
    position: relative;
}

a {
    text-decoration: none;
    color: #b7db40;
}

.fancy {
  font-family: "Bodoni Moda", serif;
}

.rust {
  color: #cd5908;
}
.purple {
  color: #BE6CBF;
} 
.cream {
  color: #e2ddcf;
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/
#header {
    transition: all 0.5s;
    z-index: 997;
    padding: 15px 0;
  }

#header.header-scrolled,
#header.header-inner-pages {
    background: #fff;
}

#header .logo {
    font-size: 32px;
    margin: 0;
    padding: 0;
    line-height: 1;
    font-weight: 400;
    letter-spacing: 2px;
    text-transform: uppercase; 
    font-family: "Bodoni Moda", serif;

}

#header .logo a {
    color:#e2ddcf;
}
  
#header .logo a span {
    color: #e2ddcf;
}


/*--------------------------------------------------------------
# Navigation Menu
--------------------------------------------------------------*/
/**
* Desktop Navigation 
*/
.navbar {
    padding: 0;
  }
  
  .navbar ul {
    margin: 0;
    padding: 0;
    display: flex;
    list-style: none;
    align-items: center;
  }

  .navbar li {
    position: relative;
  }
  
  /*#e2ddcf   /   #d3cfc2; */

  .navbar a,
  .navbar a:focus {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 0 10px 30px;
    font-size: 16px;
    font-weight: 500;
    color: #e2ddcf;
    white-space: nowrap;
    transition: 0.3s;
  }
  
  .navbar a i,
  .navbar a:focus i {
    font-size: 12px;
    line-height: 0;
    margin-left: 5px;
  }

  /*added*/
  .navbar a:before {
    content: "";
    position: absolute;
    width: 0;
    height: 2px;
    bottom: -4px;
    left: 2;
    background-color: #b7db40;
    visibility: hidden;
    width: 0px;
    transition: all 0.3s ease-in-out 0s;
  }

  /*added*/
.navbar a:hover:before,
.navbar li:hover>a:before,
.navbar .active:before {
  visibility: visible;
  width: 25px;
}
  
  .navbar a:hover,
  .navbar .active,
  .navbar .active:focus,
  .navbar li:hover>a {
    color:darkslategray;
  }


/**
* Mobile Navigation 
*/
.mobile-nav-toggle {
    color: #e2ddcf;
    font-size: 28px;
    cursor: pointer;
    display: none;
    line-height: 0;
    transition: 0.5s;
  }
  
  @media (max-width: 991px) {
    .mobile-nav-toggle {
      display: block;
    }
  
    .navbar ul {
      display: none;
    }
  }
  
  .navbar-mobile {
    position: fixed;
    overflow: hidden;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.8);
    transition: 0.3s;
    z-index: 999;
  }
  
  .navbar-mobile .mobile-nav-toggle {
    position: absolute;
    top: 15px;
    right: 15px;
  }
  
  .navbar-mobile ul {
    display: block;
    position: absolute;
    top: 55px;
    right: 15px;
    bottom: 15px;
    left: 15px;
    padding: 10px 0;
    background-color: #fff;
    overflow-y: auto;
    transition: 0.3s;
  }
  
  .navbar-mobile a,
  .navbar-mobile a:focus {
    padding: 10px 20px;
    font-size: 15px;
    color: darkslategray;
  }
  
  .navbar-mobile a:hover,
  .navbar-mobile .active,
  .navbar-mobile li:hover>a {
    color: #e2ddcf;
    
  }
  
/*--------------------------------------------------------------
# Hero Section
--------------------------------------------------------------*/
.bg-hero-white {
  background: rgb(255, 255, 255, 0.5);
}
  #hero {
      width: 100%;
      height: 100vh;
      /*background: url("../images/borgo.jpg") top center;*/
      background: url("../images/Blue/Palm.png") top center;
      /*background: url("../images/main.jpg") top center;*/
      background-size: cover;
      position: relative;
  }

  #hero:before {
    content: "";
    /*background: rgba(226, 221, 207, 0.2);*/
    /*background: rgba(0, 0, 0, 0.3);*/
    position: absolute;
    bottom: 0;
    top: 0;
    left: 0;
    right: 0;
  }

  #hero .container {
    position: relative;
    padding-top: 74px;
    text-align: left;
  }

  #hero h1 {
    margin: 0;
    font-size: 130px;
    font-weight: 400;
    line-height: 2;
    /*line-height: 1;*/
    /*color:#b7db40;*/
    /*font-family: "Noto sans", sans-serif;*/
    /*color: #e2ddcf;*/
    font-family: "Bodoni Moda", serif;
  }

  #hero h2 {
    color:#b7db40;
    background-color: rgba(255, 255, 255, 0.3);
    margin: 10px 0 0 0;
    font-size: 32px;
  }

  .type-animation {
    width: 22ch;
    animation: typing 3s steps(21), blink 1s step-end infinite alternate;
    white-space: nowrap;
    overflow: hidden;
    border-right: 3px solid;
  }
  
  @keyframes typing {
    from {
        width: 0;
    }
  }
  @keyframes blink {
    50% {
        border-color: transparent;
    }
  }

  .social-links {
    margin-top: 30px;
    display: flex;
  }
  
.social-links a {
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background: rgba(255, 255, 255, 0.1);*/
    color:#e2ddcf;
    line-height: 1;
    margin-right: 12px;
    border-radius: 50%;
    border: 2px solid #b7db40;
    width: 40px;
    height: 40px;
  }
  
 .social-links a:hover {
    background: #e2ddcf;
    color: white;
    border: none;
  }

  @media (min-width: 1024px) {
    #hero {
      background-attachment: fixed;
    }
  }
  
  @media (max-width: 768px) {
    #hero {
      height: 100vh;
    }
  
    #hero h1 {
      padding-top: 20px;
      padding-bottom: 10px;
      font-size: 50px;
      /*line-height: 36px;*/
    }
  
    #hero h2 {
      font-size: 30px;
      line-height: 30px;
      color: darkslategray;
    }

    #hero-row {
        padding-left: 20px;
        /*background-color: rgba(255, 255, 255, 0.4);*/
    }
  }

/*--------------------------------------------------------------
# Sections General
--------------------------------------------------------------*/
section {
    width: 100%;
}

section .container {
    padding: 30px;
  }

.section-text {
    margin-bottom: 2rem;
  }
  
  .section-title {
    color: darkslategray;
    font-size: 3.5rem;
  }
  
  @media (max-width: 768px) {
    .section-title {
      font-size: 2.5rem;
    }
  }

/*--------------------------------------------------------------
# Us
--------------------------------------------------------------*/
/*#us {
  background: url("../images/ws1.png") top center;
  background-size: cover;
  position: relative;
}*/
#us {
  background-color: transparent;

}
/*--------------------------------------------------------------
# About
--------------------------------------------------------------*/
/*#about {
  background: url("../images/Terracotta/Pomegranate.png") top center;
  background-size: cover;
  position: relative;
}*/
.about-me .content h3 {
    font-weight: 700;
    font-size: 26px;
    color: #241f3c;
  }
  
  .about-me .content ul {
    list-style: none;
    padding: 0;
  }
  
  .about-me .content ul li {
    margin-bottom: 20px;
    display: flex;
    align-items: center;
  }
  
  .about-me .content ul strong {
    margin-right: 10px;
  }
  
  .about-me .content ul i {
    font-size: 16px;
    margin-right: 5px;
    color: #b7db40;
    line-height: 0;
  }
  
  .about-me .content p:last-child {
    margin-bottom: 0;
  }



/*--------------------------------------------------------------
# Skills
--------------------------------------------------------------*/
.skills {
    padding: 8rem;
  }
  
  .skills-container { 
    width: 100%;
    max-width: 600px;
    padding: 0 20px 20px 20px;
    
  }
  
  .skill-name {
    margin: 20px 0;
    font-size: 1.25rem;
    font-weight: 700;
  }
  
  .skill-bar {
    height: 20px;
    background-color: #e2ddcf;
    border-radius: 8px;
  }
  
  .skill-per {
    height: 20px;
    background-color: #b7db40;
    border-radius: 8px;
    width: 0%;
    position: relative;
  }
  
  .skill-per::before {
    content: attr(per);
    position: absolute;
    padding: 4px 6px;
    background-color: darkslategray;
    color: #e2ddcf;
    font-size: .75rem;
    border-radius: 4px;
    top: -35px;
    right: 0;
    transform: translateX(50%);
    z-index: 2
  }
  
  .skill-per::after {
    content: "";
    position: absolute;
    padding: 4px 4px;
    width: 10px;
    height: 10px;
    background-color: darkslategray;
    top: -27px;
    right: 0;
    transform: translateX(50%) rotate(45deg);
    border-radius: 2px;
  }
  
  .icon-box {
    padding: 20px;
    background-color: #e2ddcf;
    border-radius: 15%;
  }
  
  .icon-box:hover {
    background-color: rgba(226, 221, 207, .5);
  }
  
  .icon-wrapper {
    border-radius: 15%;
    background-color: rgba(226, 221, 207, 0.7);
    padding: 20px;
    margin: 10px;
  }
  
  /* Media query for mobile-sized screens */
  @media (max-width: 768px) {
    .icon-wrapper {
      padding: 10px;
    }
    .section-text {
      font-size: 2.5rem;
    }
    #header .header-top {
      background: rgba(226, 221, 207, 1);
    }
  }
  









/*--------------------------------------------------------------
# Resume
--------------------------------------------------------------*/
#resume {
  position: relative;
  overflow: hidden;
}

/* background image lives here */
#resume::before {
  content: "";
  position: absolute;
  inset: 0;

  background: url("../images/Blue/Branch 3.png") bottom right / cover no-repeat;

  opacity: 0.2;          /* control image strength here */
  z-index: 0;
}

/* keep text above background */
#resume > * {
  position: relative;
  z-index: 1;
}


.resume .resume-title {
    font-size: 26px;
    font-weight: 400;
    margin-top: 20px;
    margin-bottom: 20px;
    color: darkslategray;
  }
  
  .resume .resume-item {
    padding: 0 0 20px 20px;
    margin-top: -2px;
    /*border-left: 2px solid rgba(47, 79, 79, 0.2);*/
    border-left: 2px solid rgb(190, 108, 191, 0.2);
    position: relative;
  }
  
  .resume .resume-item h4 {
    line-height: 18px;
    font-size: 18px;
    font-weight: 600;
    /*text-transform: uppercase;*/
    font-family: "Poppins", sans-serif;
    
    margin-bottom: 10px;
  }
  
  .resume .resume-item h5 {
    font-size: 16px;
    /*background: rgba(226, 221, 207, 0.4);*/
    background: rgb(190, 108, 191, 0.4);
    padding: 5px 15px;
    display: inline-block;
    font-weight: 600;
    margin-bottom: 10px;
  }
  
  .resume .resume-item ul {
    padding-left: 20px;
  }
  
  .resume .resume-item ul li {
    padding-bottom: 10px;
  }
  
  .resume .resume-item:last-child {
    padding-bottom: 0;
  }
  
  .resume .resume-item::before {
    content: "";
    position: absolute;
    width: 16px;
    height: 16px;
    border-radius: 50px;
    left: -9px;
    top: 0;
    /*background: rgba(47, 79, 79, 0.2);
    border: 2px solid rgba(47, 79, 79, 0.2);*/
    background: rgb(190, 108, 191, 0.2);
    border: 2px solid rgb(190, 108, 191, 0.2);
  }


/*--------------------------------------------------------------
# CV
--------------------------------------------------------------*/
.cvBtn {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  
  .cvBtn a {
    color:#bdbcb6;    
    padding: 6px 20px;
    margin-right: 20px;
    /*border: 2px solid #b7db40;*/
    border: 2px solid #cd5908;;
    border-radius: 20px;    
    display: flex;
    align-items: center;
  }
  
  .cvBtn a:hover {
    color:darkslategray;    
    /*border: 3px solid #b7db40;*/
    border: 3px solid #BE6CBF;
  }
  

/*--------------------------------------------------------------
# Portfolio
--------------------------------------------------------------*/
#portfolio {

  background: url("../images/Blue/Branch\ 3.png") bottom right;
  background-size: cover;
  position: relative;

}
.portfolio .portfolio-item {
    margin-bottom: 30px;
  }
  
  .portfolio #portfolio-flters {
    padding: 0;
    margin: 0 auto 15px auto;
    list-style: none;
    text-align: center;
    border-radius: 50px;
    padding: 2px 15px;
  }
  
  .portfolio #portfolio-flters li {
    cursor: pointer;
    display: inline-block;
    padding: 8px 16px 10px 16px;
    font-size: 14px;
    font-weight: 600;
    line-height: 1;
    text-transform: uppercase;
    color: darkslategray;
    background: #e2ddcf;
    margin: 0 3px 10px 3px;
    transition: all 0.3s ease-in-out;
    border-radius: 4px;
  }
  
  .portfolio #portfolio-flters li:hover,
  .portfolio #portfolio-flters li.filter-active {
    background: #b7db40;
    color: white;
  }
  
  .portfolio #portfolio-flters li:last-child {
    margin-right: 0;
  }
  
  .portfolio .portfolio-wrap {
    transition: 0.3s;
    position: relative;
    overflow: hidden;
    z-index: 1;
    background: rgba(0, 0, 0, 0.3);
  }
  
  .portfolio .portfolio-wrap::before {
    content: "";
    background: rgba(0, 0, 0, 0.3);
    position: absolute;
    left: 30px;
    right: 30px;
    top: 30px;
    bottom: 30px;
    transition: all ease-in-out 0.3s;
    z-index: 2;
    opacity: 0;
  }
  
  .portfolio .portfolio-wrap .portfolio-info {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    text-align: center;
    z-index: 3;
    transition: all ease-in-out 0.3s;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  
  .portfolio .portfolio-wrap .portfolio-info::before {
    display: block;
    content: "";
    width: 48px;
    height: 48px;
    position: absolute;
    top: 35px;
    left: 35px;
    border-top: 3px solid #fff;
    border-left: 3px solid #fff;
    transition: all 0.5s ease 0s;
    z-index: 9994;
  }
  
  .portfolio .portfolio-wrap .portfolio-info::after {
    display: block;
    content: "";
    width: 48px;
    height: 48px;
    position: absolute;
    bottom: 35px;
    right: 35px;
    border-bottom: 3px solid #fff;
    border-right: 3px solid #fff;
    transition: all 0.5s ease 0s;
    z-index: 9994;
  }
  
  .portfolio .portfolio-wrap .portfolio-info h4 {
    font-size: 20px;
    color: #fff;
    font-weight: 600;
  }
  
  .portfolio .portfolio-wrap .portfolio-info p {
    color: #ffffff;
    font-size: 14px;
    text-transform: uppercase;
    padding: 0;
    margin: 0;
  }
  
  .portfolio .portfolio-wrap .portfolio-links {
    text-align: center;
    z-index: 4;
  }
  
  .portfolio .portfolio-wrap .portfolio-links a {
    color: #fff;
    margin: 0 2px;
    font-size: 28px;
    display: inline-block;
    transition: 0.3s;
  }
  
  .portfolio .portfolio-wrap .portfolio-links a:hover {
    color: #b7db40;
  }
  
  .portfolio .portfolio-wrap:hover::before {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 1;
  }
  
  .portfolio .portfolio-wrap:hover .portfolio-info {
    opacity: 1;
  }
  
  .portfolio .portfolio-wrap:hover .portfolio-info::before {
    top: 15px;
    left: 15px;
  }
  
  .portfolio .portfolio-wrap:hover .portfolio-info::after {
    bottom: 15px;
    right: 15px;
  }
  
  /*--------------------------------------------------------------
  # Portfolio Details
  --------------------------------------------------------------*/
  .portfolio-details {
    padding-top: 40px;
    background: rgba(204, 200, 187, 0.3);
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow-y: auto;
  }
  
  .portfolio-details .container {
    padding-top: 20px;
    padding-bottom: 40px;
  }
  
  .portfolio-details .portfolio-title {
    font-size: 26px;
    font-weight: 700;
    margin-bottom: 20px;
  }
  
  .portfolio-details .portfolio-info {
    padding-top: 45px;
  }
  
  .portfolio-details .portfolio-info h3 {
    font-size: 22px;
    font-weight: 400;
    margin-bottom: 20px;
  }
  
  .portfolio-details .portfolio-info ul {
    list-style: none;
    padding: 0;
    font-size: 15px;
  }
  
  .portfolio-details .portfolio-info ul li+li {
    margin-top: 10px;
  }
  
  .portfolio-details .portfolio-info p {
    font-size: 15px;
    padding: 15px 0 0 0;
  }
  
  @media (max-width: 992px) {
    .portfolio-details .portfolio-info {
      padding-top: 20px;
    }
  }
  
  .portfolio-details .swiper-pagination {
    margin-top: 20px;
    position: relative;
  }
  
  .portfolio-details .swiper-pagination .swiper-pagination-bullet {
    width: 12px;
    height: 12px;
    opacity: 1;
    background-color: white;
    border: 1px solid #b7db40;
  }
  
  .portfolio-details .swiper-pagination .swiper-pagination-bullet-active {
    background-color: #b7db40;
  }
  
  /*--------------------------------------------------------------
  # Contact
  --------------------------------------------------------------*/
  #contact {
    background: url("../images/Blue/Pomegranate.png") top center;
    background-size: cover;
    position: relative;
  }
  .contact .info-box {
    color: #444444;
    padding: 20px;
    width: 100%;
    background: rgba(255, 255, 255, 0.08);
  
  }
  
  .contact .info-box i.bx {
    font-size: 24px;
    color: #b7db40;
    border-radius: 50%;
    padding: 14px;
    float: left;
    background: rgba(255, 255, 255, 0.1);
  }
  
  .contact .info-box h3 {
    font-size: 20px;
    color: rgba(255, 255, 255, 0.5);
    font-weight: 700;
    margin: 10px 0 8px 68px;
  }
  
  .contact .info-box p {
    padding: 0;
    color: #fff;
    line-height: 24px;
    font-size: 14px;
    margin: 0 0 0 68px;
  }
  
  .contact .info-box .social-links {
    margin: 5px 0 0 68px;
    display: flex;
  }
  
  .contact .info-box .social-links a {
    font-size: 18px;
    display: inline-block;
    color: #fff;
    line-height: 1;
    margin-right: 12px;
    transition: 0.3s;
  }
  
  .contact .info-box .social-links a:hover {
    color: #b7db40;
  }
  
  .contact .php-email-form {
    padding: 30px;
    background: rgba(226, 221, 207, 0.4);
  }
  
  .contact .php-email-form .error-message {
    display: none;
    background: rgba(226, 221, 207, 0.2);
    background: #ed3c0d;
    text-align: left;
    padding: 15px;
    font-weight: 600;
  }
  
  .contact .php-email-form .error-message br+br {
    margin-top: 25px;
  }
  
  .contact .php-email-form .sent-message {
    display: none;
    background: rgba(226, 221, 207, 0.2);
    background: #b7db40;
    text-align: center;
    padding: 15px;
    font-weight: 600;
  }
  
  .contact .php-email-form .loading {
    display: none;
    background: rgba(226, 221, 207, 0.2);
    text-align: center;
    padding: 15px;
  }
  
  .contact .php-email-form .loading:before {
    content: "";
    display: inline-block;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    margin: 0 10px -6px 0;
    border: 3px solid #b7db40;
    border-top-color: #eee;
    animation: animate-loading 1s linear infinite;
  }
  
  .contact .php-email-form input,
  .contact .php-email-form textarea {
    border-radius: 0;
    box-shadow: none;
    font-size: 14px;
    background: white;
    border: 0;
    transition: 0.3s;
    color: darkslategray;
  }
  
  .contact .php-email-form input:focus,
  .contact .php-email-form textarea:focus {
    background-color: white;
  }
  
  .contact .php-email-form input::-moz-placeholder,
  .contact .php-email-form textarea::-moz-placeholder {
    color: darkslategray;
    opacity: 1;
  }
  
  .contact .php-email-form input::placeholder,
  .contact .php-email-form textarea::placeholder {
    color: darkslategray;
    opacity: 1;
  } 
  
  .contact .php-email-form input {
    padding: 10px 15px;
  }
  
  .contact .php-email-form textarea {
    padding: 12px 15px;
  }
  
  .contact .php-email-form button[type=submit] {
    /*background:#b7db40;*/
    background: #E2D58C;
    border: 0;
    padding: 10px 30px;
    color: #fff;
    transition: 0.4s;
    border-radius: 4px;
  }
  
  .contact .php-email-form button[type=submit]:hover {
    /*background: rgba(183, 219, 64, 0.8);*/
    background: rgb(190, 108, 191, 0.8);
  }
  
  @keyframes animate-loading {
    0% {
      transform: rotate(0deg);
    }
  
    100% {
      transform: rotate(360deg);
    }
  }


  /*--------------------------------------------------------------
# PRELOADER
--------------------------------------------------------------*/
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(151, 35, 247); 
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; 
    opacity: 1;
    transition: 0.4s;
  }
  
  #loader {
    border: 6px solid #e2ddcf; 
    border-top: 6px solid #b7db40; 
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite; 
  }
  
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  


